package com.mqtt;


import com.care.mqtt.service.MqttMsgInstallService;
import com.care.mqtt.service.MqttMsgService;
import org.eclipse.paho.client.mqttv3.IMqttMessageListener;
import org.eclipse.paho.client.mqttv3.MqttMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;


/**
 * 订阅信息监听类
 */
public class MqttMessageListenerTest implements IMqttMessageListener {
    private static Logger logger = LoggerFactory.getLogger(MqttMsgService.class);

    @Override
    public void messageArrived(String topic, MqttMessage mqttMessage) throws Exception {
//        System.out.println(mqttMessage.getId());
//        System.out.println(mqttMessage.getPayload());
//        System.out.println(mqttMessage.getQos());
//        System.out.println(mqttMessage.isRetained());
//        System.out.println(mqttMessage.isDuplicate());
        String mqttMessageStr = mqttMessage.toString();
        //logger.info("mqttMessageStr == " + mqttMessageStr);
        logger.info("接收到的消息"+mqttMessageStr);

    }


}
